module.exports = {


    friendlyName: 'Create',


    description: 'Create Attribution rang!',


    inputs: {
        codeEcole: {
            type: 'string',
            required: true
        },

        anneeScolaire: {
            type: 'string',
            required: true
        },
        systemSco: {
            type: 'string',
            required: true
        },

    },


    exits: {
        notFound:{
            statusCode:404
          },
    },

    fn: async function (inputs, exits) {
        /// ***********  IMPORTANT **************
        /// JE SUIS PAS ALLER A LA FIN DU PROCESSUS DE CREATION CAR CREATION VIA LOGICIEL

        if (codeEcole === '' || codeEcole === undefined || codeEcole === null) {
            return exits.notFound('Veuillez définir le code ecole')
        }
        if (anneeScolaire === '' || anneeScolaire === undefined || anneeScolaire === null) {
            return exits.notFound("Veuillez définir l'année scolaire")
        }
        if (systemSco === '' || systemSco === undefined || systemSco === null) {
            return exits.notFound('Veuillez définir le system scolaire')
        }

        ///
        /// VERIFIER ICI SI CES INFOS EXISTE DANS LA BASE DE DONNEE
        ///////////////////
        let attributionSysCreate;
        let attributionSys = await AttributionSysSco.find({ codeEcole: inputs.codeEcole, anneeScolaire: inputs.anneeScolaire, systemSco: inputs.systemSco}).then(_.first)
        if (attributionSys) {
           
            return exits.notFound({message:"Cette Attribution existe déja, veuillez la modifier!"})
        } else{         
            attributionSysCreate = await AttributionSysSco.create(inputs).fetch();
        }
        // All done.
        return exits.success(attributionSysCreate);

    }


};
